## org.codehaus.groovy.vmplugin.v6
Class Java6

    java.lang.Object
      org.codehaus.groovy.vmplugin.v5.Java5
          org.codehaus.groovy.vmplugin.v6.Java6

All Implemented Interfaces:
  VMPlugin

    public class Java6
    extends Java5

Java 6 based functions

Author:
  Jochen Theodorou

Constructor Summary
Constructor and Description
`Java6()`

Method Summary
Modifier and Type | Method and Description
--- | ---
`Class[]` `getPluginDefaultGroovyMethods()`

Methods inherited from class org.codehaus.groovy.vmplugin.v5.Java5
`configureAnnotation, configureClassNode, setAdditionalClassInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Java6

    public Java6()

Method Detail

### getPluginDefaultGroovyMethods

    public Class[] getPluginDefaultGroovyMethods()

  Specified by:
    `getPluginDefaultGroovyMethods` in interface `VMPlugin`
  Overrides:
    `getPluginDefaultGroovyMethods` in class `Java5`

Copyright © 2003-2010 The Codehaus. All rights reserved.